| hdcp22_tx_dp Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XHdcp22_Tx_Dp_Topology Struct Reference
Overview

This structure contains the HDCP topology information. More...

## Data Fields
u8 | ReceiverId [32][5]
| Receiver ID list of all downstream devices. More...
u8 | Depth
| Repeater cascade depth. More...
u8 | DeviceCnt
| Total number of connected downstream devices. More...
u8 | MaxDevsExceeded
| Flag used to indicate topology error. More...
u8 | MaxCascadeExceeded
| Flag used to indicate topology error. More...
u8 | Hdcp2LegacyDeviceDownstream
| Flag used to indicate topology information. More...
u8 | Hdcp1DeviceDownstream
| Flag used to indicate topology information. More...

## Detailed Description

This structure contains the HDCP topology information.

## Field Documentation

u8 XHdcp22_Tx_Dp_Topology::Depth

Repeater cascade depth.

This value gives the number of attached levels through the connection topology.

Referenced by XHdcp22Tx_Dp_Info().

u8 XHdcp22_Tx_Dp_Topology::DeviceCnt

Total number of connected downstream devices.

Referenced by XHdcp22Tx_Dp_Info().

u8 XHdcp22_Tx_Dp_Topology::Hdcp1DeviceDownstream

Flag used to indicate topology information.

When set to one, indicates presence of an HDCP1.x-compliant device in the topology.

Referenced by XHdcp22Tx_Dp_Info().

u8 XHdcp22_Tx_Dp_Topology::Hdcp2LegacyDeviceDownstream

Flag used to indicate topology information.

When set to one, indicates presence of an HDCP2.1-compliant Device in the topology.

Referenced by XHdcp22Tx_Dp_Info().

u8 XHdcp22_Tx_Dp_Topology::MaxCascadeExceeded

Flag used to indicate topology error.

When set to one, more than four levels of repeaters have been cascaded together.

Referenced by XHdcp22Tx_Dp_Info().

u8 XHdcp22_Tx_Dp_Topology::MaxDevsExceeded

Flag used to indicate topology error.

When set to one, more than 31 devices are attached to a downstream repeater.

Referenced by XHdcp22Tx_Dp_Info().

u8 XHdcp22_Tx_Dp_Topology::ReceiverId[32][5]

Receiver ID list of all downstream devices.

The list consists of a contiguous set of bytes stored in big-endian order.

Referenced by XHdcp22Tx_Dp_GetTopologyReceiverIdList().